cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/account_groups/ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.account_groups.get_settings_account_group(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountGroups.getSettingsAccountGroup('ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountGroups->getSettingsAccountGroup('ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.account_groups.account_groups_dto.AccountGroupsDto.SettingsAccountGroup;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountGroup> response = client.accountGroups().getSettingsAccountGroup(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountGroups.GetSettingsAccountGroupAsync("ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountGroups.getSettingsAccountGroup(
'ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountGroups().GetSettingsAccountGroup(context.Background(), "ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"account_group": {
"accounting_code": "<unknown>",
"custom_attributes": "<array>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"invoice_account_media": [
"<string>"
],
"managed_by": "<unknown>",
"name": "<string>",
"object": "<string>",
"pricing_level": "<unknown>",
"state_rule": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>"
}
}Account groups
Retrieve an account group
Returns one account group, under account_group.
GET
/
settings
/
account_groups
/
{account_group_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/account_groups/ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.account_groups.get_settings_account_group(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountGroups.getSettingsAccountGroup('ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountGroups->getSettingsAccountGroup('ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.account_groups.account_groups_dto.AccountGroupsDto.SettingsAccountGroup;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsAccountGroup> response = client.accountGroups().getSettingsAccountGroup(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountGroups.GetSettingsAccountGroupAsync("ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountGroups.getSettingsAccountGroup(
'ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountGroups().GetSettingsAccountGroup(context.Background(), "ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"account_group": {
"accounting_code": "<unknown>",
"custom_attributes": "<array>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"invoice_account_media": [
"<string>"
],
"managed_by": "<unknown>",
"name": "<string>",
"object": "<string>",
"pricing_level": "<unknown>",
"state_rule": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>"
}
}Pass the group’s
ag_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account group's ag_ id.
Response
200 - application/json
The group, under account_group.
One account group.
Show child attributes
Show child attributes